/* 
*
*  ProLinga-Data
*
*  Copyright (C) 2002-2009 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Data.
*
*  ProLinga-Data is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Data is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Data.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*/

#ifndef __DAT_ERROR_HPP
#define __DAT_ERROR_HPP


char errorSeverity[3][10] = {"Ok", "Warning", "Error"};

struct error
{       int errorNo;
	int severity;
	char description[80];
} errorTable70000[] = {	
			{ 70000, 0, "No Error" },
			{ 70001, 2, "Can not open GDA connection." },
			{ 70002, 2, "GDA connection does not exist" },
			{ 70003, 2, "Error processing query" },
			{ 70004, 2, "Data Model does not exist" },
			{ 70005, 2, "Invalid value RowId" },
			{ 70006, 2, "Other transaction already in progress" },
			{ 70007, 2, "No transaction in progress" },
			{ 70008, 1, "UNDEFINED" },
			{ 70009, 1, "Invalid Session ID" },
			{ 70010, 2, "UNDEFINED" },
			{ 70011, 2, "Error parsing file" },
			{ 70012, 2, "UNDEFINED" },
			{ 70013, 2, "Invalid Build Option" },
			{ 70014, 1, "GDA connection already open" },
			{ 70015, 1, "Row can not be removed" },
			{ 70016, 1, "Row can not be appended" },
			{ 70017, 1, "Storage type mismatch" },
			{ 70018, 1, "Unknown or unmapped storage type" },
			{ 70019, 1, "Can not get row" },
			{ 70020, 1, "Row can not be updated" },
			{ 70021, 1, "Row is marked as removed" },
			{ 70022, 1, "Table can not be dropped" },
			{ 70023, 1, "Table can not be created" },
			{ 70024, 1, "Index can not be dropped" },
			{ 70025, 1, "Index can not be created" },
			{ 70026, 1, "Can not get meta data" },
			{ 70027, 2, "Invalid Meta Store Option" },
			{ 70028, 2, "Meta Store can not be initialized" }
};


#endif  /* __DAT_ERROR_HPP */

